@import 'assets/variables.scss';

.root {
  position: relative;
  display: block;
  padding: $cell * 3;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 5px;
  width: 300px;
  min-width: 300px;
  margin: $cell * 2;
  font-family: $default-font-family !important;

  &:hover {
    background-color: $super-soft-grey !important;
  }
}

.highlight {
  background-color: $primary-softest-highlight;
}

.imageAndName {
  display: flex;
  align-items: center;
  margin-bottom: $cell * 2;

  .image {
    width: 35px;
    height: 35px;
    margin-right: $cell;
  }

  .name {
    font-size: 1.3em;
    font-weight: bold;
  }
}

.desc {
  color: $mid-grey;
  text-transform: capitalize;
}

.delete {
  position: absolute;
  top: $cell;
  right: $cell;
  opacity: 0 !important;
  transition: opacity ease 0.3s;
  background-color: white;
  z-index: 30;
  
  &:hover {
    background-color: white;
    color: #e50000;
  }
}

.clickable {
  cursor: pointer;
}

.root {
  &:hover {
    .delete {
      opacity: 1 !important;
    }
  }
}